Get Metadata
Returns the metadata for a file or folder. Note: Metadata for the root folder is unsupported.
Required scope: files.metadata.read
Endpoint format: RPC
Authentication: User, Dropbox-API-Select-Admin (Whole Team)
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
If true, DeletedMetadata will be returned for deleted file or
folder, otherwise LookupError.not_found will be returned.
If true, FileMetadata.media_info is set for photo and video.
If set to a valid list of template IDs, FileMetadata.property_groups
is set if there exists property data associated with the file and each of the
listed templates.
Only templates with an ID in the supplied list will be returned (a subset of templates will be returned).